Page MenuHomePhabricator

Make postedit messages ("Your edit was saved.") and mw.notification messages ("The page has been added to your watchlist.") look the same
Closed, ResolvedPublic

Assigned To
Authored By
Ara
Oct 29 2013, 12:46 PM
Referenced Files
F34953775: image.png
Feb 16 2022, 9:38 PM
F32414697: image.png
Oct 26 2020, 1:58 PM
F32414675: image.png
Oct 26 2020, 1:44 PM
F32385692: image.png
Oct 15 2020, 1:16 PM
F32385690: image.png
Oct 15 2020, 1:16 PM
F26525800: image.png
Oct 11 2018, 4:47 PM
F26525810: image.png
Oct 11 2018, 4:47 PM
F7451633: pasted_file
Apr 10 2017, 1:13 PM
Tokens
"Like" token, awarded by Lens0021."Like" token, awarded by Volker_E.

Description

Style of "Your edit was saved." message is not like 'adding or remove watchlist' and 'SUL'. I suggest 'check' mark isn't removed but background style is changed.

Style comparison from @Ara's comment below

styleofyoureditwassaved.png (200×285 px, 6 KB)

Edit: this are now more similar, but have different placements and icons
mw.nofity: top right, no icons

image.png (155×308 px, 12 KB)

postEdit: top center, tick and close icons:
image.png (82×305 px, 8 KB)

Proposal

image.png (65×256 px, 3 KB)

Use success message box styling for postedit success notification

Until the green background is fixed:

image.png (229×339 px, 17 KB)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Myeongjin: Can you answer comment 3, please?

I want changing postedit CSS to look like "mw.notify()".

Ara set Security to None.
Ara added a subscriber: Ara.
matmarex renamed this task from Change style of "Your edit was saved." message to Make postedit messages ("Your edit was saved.") and mw.notification messages ("The page has been added to your watchlist.") look the same.Oct 27 2015, 10:33 PM
matmarex updated the task description. (Show Details)
matmarex removed a subscriber: wikibugs-l-list.

Change 347367 had a related patch set uploaded (by Esanders):
[mediawiki/core@master] Cleanup postEdit and match styles to mw.notification

https://gerrit.wikimedia.org/r/347367

Change 347361 had a related patch set uploaded (by Esanders):
[mediawiki/skins/Vector@master] Match mediawiki.notification styles to OOUI dialogs

https://gerrit.wikimedia.org/r/347361

After the above two patches (in Vector):

pasted_file (84×264 px, 8 KB)

pasted_file (147×281 px, 16 KB)

The postEdit icons need fixing, and all that code should ultimately just be a special case of mw.notification.

Change 347397 had a related patch set uploaded (by Esanders):
[mediawiki/skins/MonoBook@master] Match mediawiki.notification styles to OOUI dialogs

https://gerrit.wikimedia.org/r/347397

Change 347361 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Match mediawiki.notification styles to OOUI dialogs

https://gerrit.wikimedia.org/r/347361

Change 347397 merged by jenkins-bot:
[mediawiki/skins/MonoBook@master] Match mediawiki.notification styles to OOUI dialogs

https://gerrit.wikimedia.org/r/347397

Change 347367 merged by jenkins-bot:
[mediawiki/core@master] Cleanup postEdit and match styles to mw.notification

https://gerrit.wikimedia.org/r/347367

matmarex assigned this task to Esanders.
matmarex removed a project: Patch-For-Review.

Change 394076 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] mw.postEdit: Use mw.notify to display message

https://gerrit.wikimedia.org/r/394076

Re-opening with change 394076 by @Esanders.
Screenshots appreciated.

Note that on mobile these messages are already unified, with both the post-edit notification, and other notifications showing at the bottom of the page in a black box.

In a static image the 'after' is slightly less prominent, as it lacks the green tick, and a contrasting background, but as these notifications transition in and out of view, they are both hard to miss.

Change 636419 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Use OOUI green tick for postEdit notification

https://gerrit.wikimedia.org/r/636419

Above patch brings icon in line with OOUI:

image.png (67×257 px, 3 KB)

This should also probably use the 'success' type of mw.notify:

image.png (65×256 px, 3 KB)

Change 636419 merged by jenkins-bot:
[mediawiki/core@master] Use OOUI green tick for postEdit notification

https://gerrit.wikimedia.org/r/636419

Change 394076 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] mw.postEdit: Use mw.notify to display message

https://gerrit.wikimedia.org/r/394076

I filed T269138 to address the shade of green we currently use of success box.

Removing task assignee due to inactivity, as this open task has been assigned for more than two years (see emails sent to assignee on May26 and Jun17, and T270544). Please assign this task to yourself again if you still realistically [plan to] work on this task - it would be very welcome!

(See https://www.mediawiki.org/wiki/Bug_management/Assignee_cleanup for tips how to best manage your individual work in Phabricator.)

Change 394076 merged by jenkins-bot:

[mediawiki/core@master] mw.postEdit: Use mw.notify to display message

https://gerrit.wikimedia.org/r/394076

stjn added a subscriber: stjn.

I believe this should have been announced, as it is a big front-facing change. (And, IMO, an imperfect one, making the notification much less noticeable.) If already-done-previously things cannot go in Tech News, please correct me.

I agree with stjn. Not long after the change happened people immediately complained about it at the technical Village Pump on enWiki.

If not announce it, at least add a way for people to turn it off.

Izno closed this task as Resolved.EditedFeb 24 2022, 11:37 PM
Izno assigned this task to Esanders.
Izno added a subscriber: Izno.

Clearly, uh, it's resolved. :)

Quiddity added a subscriber: Quiddity.

I'm not going to include this in Tech News at this time.
If I understand correctly, this popup message is now using the same code as the other popup messages (i.e. adding/removing watchlist pages, patrolling edits, saving preferences) – This is great for code-efficiency and for users' UX-consistency.

A few users were surprised by the change, because they had previously hidden the original popups, and the old CSS class-name wasn't transferred over (which Nardog has now suggested might be a good thing to replace) hence they thought this was an entirely new feature.
A few users think it is now too noticeable, and a few users don't think it is noticeable enough.
It is difficult to balance conflicting subjective aesthetic preferences, which result from any minor UX change like this.

Regarding preferences, I've commented at T66435#7738754.
I hope that helps.

I was thinking that this change is worth announcing because it is one of the most visible parts of the software and it got a significant design/placement change. But OK.

Change 767587 had a related patch set uploaded (by Krinkle; author: Krinkle):

[mediawiki/core@master] mediawiki.action.view.postEdit: Restore class name for personal styling

https://gerrit.wikimedia.org/r/767587

Change 767587 merged by jenkins-bot:

[mediawiki/core@master] mediawiki.action.view.postEdit: Restore 'postedit' CSS class

https://gerrit.wikimedia.org/r/767587